﻿
    @*<script src="https://cdnjs.cloudflare.com/ajax/libs/exceljs/4.3.0/exceljs.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/FileSaver.js/2.0.0/FileSaver.min.js" type="text/javascript"></script>*@
<script type="text/javascript">
    var _height_Window  = $(window).height();
    var _height_Header  = $('.iq-top-navbar').height();
    var _height_Title   = $('#box_title_table').height();
    var _height_Footer  = $('.iq-footer').height();
    var flag_fixed = false;
    if($(window).width() > 760){
        $('#gridContainer').height(_height_Window - _height_Header  - _height_Footer - 150);
        //flag_fixed = true;
    }else{
        //$('.iq-card-body').height(_height_Window - _height_Header - 15);
        //if($(window).width() > 375){
        //    flag_fixed = true;
        //}else{
        //    flag_fixed = false;
        //}
    }
    var dataSource_1 = [
        {
            "Id" : 1,
            "ChungLoai": "NL NHẬN TỪ NBC",
            "DonVi": "",
            "SoChuyen": "",
            "LaoDong": "",
            "SoLuongNLSX_1" : "528,268",
            "DoanhThuNLSX_1" : "2,711,459",
            "SoLuongBooking_1" : "452,747",
            "DoanhThuBooking_1" : "1,976,179",
            "SoLuongThucTe_1" : "456,181",
            "DoanhThuThucTe_1" : "1,921,872",
            "SoLuongChenLech_1" : "",
            "DoanhThuChenLech_1" : "-749,087",
            "DoanhThuCongTruTuanTruoc_1" : "",
            "GhiChu": "",
            "Color": "#01b0f1",
            "Class" : "dongtong1"
        },
        {
            "Id" : 2,
            "ChungLoai": "Men Jacket (K1, K2, DL, Dlinh, HG, PC, ST)",
            "DonVi": "",
            "SoChuyen": "",
            "LaoDong": "1000",
            "SoLuongNLSX_1" : "188,901",
            "DoanhThuNLSX_1" : "1,038,456",
            "SoLuongBooking_1" : "207,275 ",
            "DoanhThuBooking_1" : "1,140,013 ",
            "SoLuongThucTe_1" : "183,901 ",
            "DoanhThuThucTe_1" : "1,011,456 ",
            "SoLuongChenLech_1" : "",
            "DoanhThuChenLech_1" : "",
            "DoanhThuCongTruTuanTruoc_1" : "",
            "GhiChu" : "",
            "Color" : "#f5ccac",
            "Class" : "dongtong1"
        },
        {
            "Id" : 3,
            "ChungLoai": "",
            "DonVi": "KHU 1",
            "SoChuyen": "3",
            "LaoDong": "200",
            "SoLuongNLSX_1" : "48,682",
            "DoanhThuNLSX_1" : "267,751",
            "SoLuongBooking_1" : "207,275",
            "DoanhThuBooking_1" : "1,140,013",
            "SoLuongThucTe_1" : "183,901",
            "DoanhThuThucTe_1" : "1,011,456",
            "SoLuongChenLech_1" : "-5,000",
            "DoanhThuChenLech_1" : "-27,000",
            "DoanhThuCongTruTuanTruoc_1" : "",
            "GhiChu" : "",
            "Color" : "#fff",
            "Class" : ""
        },
        {
            "Id" : 4,
            "ChungLoai": "",
            "DonVi": "KHU 2",
            "SoChuyen": "2",
            "LaoDong": "800",
            "SoLuongNLSX_1" : "35,652",
            "DoanhThuNLSX_1" : "196,086",
            "SoLuongBooking_1" : "207,275",
            "DoanhThuBooking_1" : "1,140,013",
            "SoLuongThucTe_1" : "183,901",
            "DoanhThuThucTe_1" : "1,011,456",
            "SoLuongChenLech_1" : "-5,000",
            "DoanhThuChenLech_1" : "-27,000",
            "DoanhThuCongTruTuanTruoc_1" : "",
            "GhiChu" : "",
            "Color" : "#fff",
            "Class" : ""
        },
        {
            "Id" : 5,
            "ChungLoai": "",
            "DonVi": "DALAT",
            "SoChuyen": "1",
            "LaoDong": "800",
            "SoLuongNLSX_1" : "16,335",
            "DoanhThuNLSX_1" : "10,284",
            "SoLuongBooking_1" : "207,275",
            "DoanhThuBooking_1" : "1,140,013",
            "SoLuongThucTe_1" : "183,901",
            "DoanhThuThucTe_1" : "1,011,456",
            "SoLuongChenLech_1" : "-5,000",
            "DoanhThuChenLech_1" : "-27,000",
            "DoanhThuCongTruTuanTruoc_1" : "",
            "GhiChu" : "",
            "Color" : "#fff",
            "Class" : ""
        }
    ];
    var mergelements = {};
    
    function All_Colum_12_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
                Group_1_Thang(ls[7]),
                Group_1_Thang(ls[8]),
                Group_1_Thang(ls[9]),
                Group_1_Thang(ls[10]),
                Group_1_Thang(ls[11]),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
                Group_1_Thang(ls[7]),
                Group_1_Thang(ls[8]),
                Group_1_Thang(ls[9]),
                Group_1_Thang(ls[10]),
                Group_1_Thang(ls[11]),
            ];
        }
    }
    function All_Colum_11_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
                Group_1_Thang(ls[7]),
                Group_1_Thang(ls[8]),
                Group_1_Thang(ls[9]),
                Group_1_Thang(ls[10]),
            ];
        } else {
             return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
                Group_1_Thang(ls[7]),
                Group_1_Thang(ls[8]),
                Group_1_Thang(ls[9]),
                Group_1_Thang(ls[10]),
            ];
        }
    }
    function All_Colum_10_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
                Group_1_Thang(ls[7]),
                Group_1_Thang(ls[8]),
                Group_1_Thang(ls[9]),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
                Group_1_Thang(ls[7]),
                Group_1_Thang(ls[8]),
                Group_1_Thang(ls[9]),
            ];
        }
    }
    function All_Colum_9_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
                Group_1_Thang(ls[7]),
                Group_1_Thang(ls[8]),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
                Group_1_Thang(ls[7]),
                Group_1_Thang(ls[8]),
            ];
        }
    }
    function All_Colum_8_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
                Group_1_Thang(ls[7]),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
                Group_1_Thang(ls[7]),
            ];
        }
    }
    function All_Colum_7_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
                Group_1_Thang(ls[6]),
            ];
        }
    }
    function All_Colum_6_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
                Group_1_Thang(ls[5]),
            ];
        }
    }
    function All_Colum_5_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
                Group_1_Thang(ls[4]),
            ];
        }
    }
    function All_Colum_4_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
                Group_1_Thang(ls[3]),
            ];
        }
    }
    function All_Colum_3_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
                Group_1_Thang(ls[2]),
            ];
        }
    }
    function All_Colum_2_Month(Thang) {
        var ls = Thang.split(',');
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(ls[0]),
                Group_1_Thang(ls[1]),
            ];
        }
    }
    function All_Colum_1_Month(Thang) {
        if ($(window).width() > 800) {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    fixed: "left",
                    allowFixing: true,
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    fixed: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    fixed: "left",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    fixed: "left",
                    dataField: "LaoDong",
                },
                Group_1_Thang(Thang),
            ];
        } else {
            return [
                {
                    caption: "CHỦNG LOẠI",
                    alignment: "left",
                    dataField: "ChungLoai",
                }, {
                    caption: "ĐƠN VỊ",
                    alignment: "left",
                    dataField: "DonVi",
                }, {
                    //caption: "SỐ CHUYỀN",
                    alignment: "right",
                    dataField: "SoChuyen",
                    width: 80,
                    headerCellTemplate: function (header, info) {
                        $('<div>')
                            .html("SỐ</br>CHUYỀN")
                            .appendTo(header);
                    }
                }, {
                    caption: "LĐ",
                    alignment: "right",
                    dataField: "LaoDong",
                },
                Group_1_Thang(Thang),
            ];
        }
    }
    function Group_1_Thang(Thang) {
        var T = Thang;
        Thang = Thang.split('/')[0];
        console.log(Thang);
        return {
                        caption: "THÁNG " + T,
                        alignment: "center",
                        columns: [
                            {
                                alignment: "center",
                                caption: "Năng lực SX",
                                columns: [
                                    {
                                        caption: "SL (PCS)",
                                        dataField: "SoLuongNLSX_"+Thang,
                                        alignment: "right"
                                    },
                                    {
                                        caption: "DT (USD)",
                                        dataField: "DoanhThuNLSX_"+Thang,
                                        alignment: "right"
                                    }
                                ]
                            },{
                                alignment: "center",
                                caption: "Nguồn hàng (Booking)",
                                columns: [
                                    {
                                        caption: "SL (PCS)",
                                        dataField: "SoLuongBooking_"+Thang,
                                        alignment: "right"
                                    },
                                    {
                                        caption: "DT (USD)",
                                        dataField: "DoanhThuBooking_"+Thang,
                                        alignment: "right"
                                    }
                                ]
                            },{
                                alignment: "center",
                                caption: "Nguồn hàng (thực tế)",
                                columns: [
                                    {
                                        caption: "SL (PCS)",
                                        dataField: "SoLuongThucTe_"+Thang,
                                        alignment: "right"
                                    },
                                    {
                                        caption: "DT (USD)",
                                        dataField: "DoanhThuThucTe_"+Thang,
                                        alignment: "right"
                                    }
                                ]
                            },{
                                alignment: "center",
                                caption: "Chênh Lệch (ttế)",
                                columns: [
                                    {
                                        caption: "SL (PCS)",
                                        dataField: "SoLuongChenLechThucTe_"+Thang,
                                        alignment: "right"
                                    },
                                    {
                                        caption: "DT (USD)",
                                        dataField: "DoanhThuChenLechThucTe_"+Thang,
                                        alignment: "right"
                                    }
                                ]
                            },{
                                alignment: "center",
                                caption: "+/-  Tuần trước",
                                columns: [
                                    {
                                        caption: "DT (USD)",
                                        dataField: "DoanhThuCongTruTuanTruoc_"+Thang,
                                        alignment: "right"
                                    }
                                ]
                            },{
                                alignment: "center",
                                caption: "Ghi chú",
                                dataField: "GhiChu_"+Thang,
                            }
                        ]
        }
    }
    function General_Group_Month(type) {
        
        var l = type.split(',').length;
            if ( l == 1)
                return All_Colum_1_Month(type);
            if ( l == 2)
                return All_Colum_2_Month(type);
            else if ( l == 3)
                return All_Colum_3_Month(type);
            else if ( l == 4)
                return All_Colum_4_Month(type);
            else if ( l == 5)
                return All_Colum_5_Month(type);
            else if ( l == 6)
                return All_Colum_6_Month(type);
            else if ( l == 7)
                return All_Colum_7_Month(type);
            else if ( l == 8)
                return All_Colum_8_Month(type);
            else if ( l == 9)
                return All_Colum_9_Month(type);
            else if ( l == 10)
                return All_Colum_10_Month(type);
            else if ( l == 11)
                return All_Colum_11_Month(type);
            else if ( l == 12)
                return All_Colum_12_Month(type);
    }
    function LoadTable(type, dataS) {
        $('#gridContainer').dxDataGrid({
                dataSource: dataS,
                keyExpr: 'Id',
                showBorders: true,
                showRowLines: true,
                paging: {
                    enabled: false
                },
                columnAutoWidth: true,
                //columnHidingEnabled: true,
                //allowColumnResizing: true,
                scrolling: {
                  mode: 'virtual',
                },
                columnFixing: {
                    enabled: true
                },
                filterRow: {
                    visible: false,
                    applyFilter: 'auto',
                },
                //export: {
                //  enabled: true,
                //  allowExportSelectedData: true,
                //},
                //onExporting(e) {
                //  const workbook = new ExcelJS.Workbook();
                //  const worksheet = workbook.addWorksheet('Employees');

                //  DevExpress.excelExporter.exportDataGrid({
                //    component: e.component,
                //    worksheet,
                //    autoFilterEnabled: true,
                //  }).then(() => {
                //    workbook.xlsx.writeBuffer().then((buffer) => {
                //      saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'Employees.xlsx');
                //    });
                //  });
                //  e.cancel = true;
                //},
                headerFilter: { visible: false },
                //onCellPrepared: function (cellInfo) {
                //    if (cellInfo.rowType == "data") {
                //        if (cellInfo.data.Class != "dongtong1") {
                //            cellInfo.cellElement.addClass("mergecells");
                //            //color cell on selection
                //            cellInfo.cellElement.click(function () {
                //                $(".mergecellselected").removeClass("mergecellselected")
                //                $(this).addClass("mergecellselected");
                //            });
                //            if (cellInfo.rowIndex > 0 && cellInfo.column.command != "edit") {
                //                if (cellInfo.component.cellValue(cellInfo.rowIndex - 1, cellInfo.column.dataField) == cellInfo.value) {
                //                    if (cellInfo.component.cellValue(cellInfo.rowIndex - 1, cellInfo.column.dataField)) {
                //                        var prev = mergelements[cellInfo.rowIndex - 1][cellInfo.column.dataField]
                //                        if (!mergelements[cellInfo.rowIndex]) mergelements[cellInfo.rowIndex] = {};
                //                        mergelements[cellInfo.rowIndex][cellInfo.column.dataField] = prev;
                //                        if (prev) {
                //                            cellInfo.cellElement.css("display", "none");
                //                            var span = prev.attr('rowspan');
                //                            if (span)
                //                                prev.attr('rowspan', Number(span) + 1);
                //                            else
                //                                prev.attr('rowspan', 2);
                //                        }
                //                    }
                //                    else {
                //                        if (!mergelements[cellInfo.rowIndex]) mergelements[cellInfo.rowIndex] = {};
                //                        mergelements[cellInfo.rowIndex][cellInfo.column.dataField] = cellInfo.cellElement;
                //                    }

                //                }
                //                else {
                //                    if (!mergelements[cellInfo.rowIndex]) mergelements[cellInfo.rowIndex] = {};
                //                    mergelements[cellInfo.rowIndex][cellInfo.column.dataField] = cellInfo.cellElement;

                //                }
                //            }
                //            else {
                //                if (!mergelements[cellInfo.rowIndex]) mergelements[cellInfo.rowIndex] = {};
                //                mergelements[cellInfo.rowIndex][cellInfo.column.dataField] = cellInfo.cellElement;
                //            }
                //        }
                //    }

                //},
                onRowPrepared(e) {  // xu ly mau cho row
                    if (e.rowType == 'header') {
                        e.rowElement[0].bgColor = "yellow";
                        e.rowElement[0].className += " dongtong0";
                    } else if (e.rowType == 'data') {
                        e.rowElement[0].bgColor = e.data.Color;
                        e.rowElement[0].className += " " + e.data.Class;
                    }
                },
                columns: General_Group_Month(type),
            });
    }
    $('#btnXem').click(function () {
        var lsThang = '';
        var Thang = $('.Thang').select2("val");
        for (var i = 0; i <= Thang.length-1; i++) {
            if(i==0) lsThang = ''+Thang[i];
            else lsThang +=',' + Thang[i];
        }
        if(Thang.length == 1)
            $('.TieuDe').html("Năng lực sản xuất tháng " + lsThang );
        else
            $('.TieuDe').html("Năng lực sản xuất các tháng " + lsThang );
        //LoadTable(lsThang, dataSource_1);
        LoadDataSource_Tong(lsThang);
    });
    $('#btnXemThangHienTai').click(function () {
        $('.TieuDe').html("Năng lực sản xuất theo tháng " + @DateTime.Now.Month + "/" + @DateTime.Now.Year) ;
        //LoadTable(1, dataSource_1);
        LoadDataSource_Tong(@DateTime.Now.Month +'/' + @DateTime.Now.Year);
    });
    $('#btnXemQuyHienTai').click(function () {
        var Quy = '';
        var lsThang = '';
        var today = new Date();
        if (today.getMonth() + 1 >= 1 && today.getMonth() + 1 <= 3) {
            Quy = '1'; lsThang = '1/' + today.getFullYear() + ',2/'+today.getFullYear() +',3/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 4 && today.getMonth() + 1 <= 6) {
            Quy = '2';lsThang = '4/' + today.getFullYear() + ',5/'+today.getFullYear() +',6/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 7 && today.getMonth() + 1 <= 9) {
            Quy = '3';lsThang = '7/' + today.getFullYear() + ',8/'+today.getFullYear() +',9/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 10 && today.getMonth() + 1 <= 12) {
            Quy = '4';lsThang = '10/' + today.getFullYear() + ',11/'+today.getFullYear() +',12/'+today.getFullYear();
        }
        $('.TieuDe').html("Năng lực sản xuất theo quý " + Quy + " năm " + @DateTime.Now.Year);
        //LoadTable(lsThang, dataSource_1);
        LoadDataSource_Tong(lsThang);
    });
    $('#btnXemNamHienTai').click(function () {
        var today = new Date();
        $('.TieuDe').html("Năng lực sản xuất theo năm " + @DateTime.Now.Year);
        //LoadTable('1,2,3,4,5,6,7,8,9,10,11,12', dataSource_1);
        LoadDataSource_Tong('1/' + today.getFullYear() + ',2/'+today.getFullYear() +',3/'+today.getFullYear()+',4/'+today.getFullYear()+',5/'+today.getFullYear()+',6/'+today.getFullYear()+',7/'+today.getFullYear()+',8/'+today.getFullYear()+',9/'+today.getFullYear()+',10/'+today.getFullYear()+',11/'+today.getFullYear()+',12/'+today.getFullYear());
    });

    $('#btnXem_DonVi').click(function () {
        var IdDonVi = $( ".IdDonVi" ).val();
        var TenDonVi = $( "#IdDonVi option:selected" ).text();
        var lsThang = '';
        var Thang = $('.Thang').select2("val");
        for (var i = 0; i <= Thang.length-1; i++) {
            if(i==0) lsThang = ''+Thang[i];
            else lsThang +=',' + Thang[i];
        }
        if(Thang.length == 1)
            $('.TieuDe').html("Năng lực sản xuất tháng " + lsThang  + " của [ "+TenDonVi+" ]");
        else
            $('.TieuDe').html("Năng lực sản xuất các tháng " + lsThang + " của [ " + TenDonVi + " ]");
        LoadDataSource_DonVi(IdDonVi,lsThang);
    });
    $('#btnXemThangHienTai_DonVi').click(function () {
        var today = new Date();
        var IdDonVi = $( ".IdDonVi" ).val();
        var TenDonVi = $( "#IdDonVi option:selected" ).text();
        var lsThang = '';
        $('.TieuDe').html("Năng lực sản xuất tháng " + today.getMonth() + "/" + today.getFullYear() + " của [ " + TenDonVi + " ]");
        LoadDataSource_DonVi(IdDonVi,today.getMonth() + "/" + today.getFullYear());
    });
    $('#btnXemQuyHienTai_DonVi').click(function () {
        var IdDonVi = $( ".IdDonVi" ).val();
        var TenDonVi = $( "#IdDonVi option:selected" ).text();
        var Quy = '';
        var lsThang = '';
        var today = new Date();
        if (today.getMonth() + 1 >= 1 && today.getMonth() + 1 <= 3) {
            Quy = '1'; lsThang = '1/' + today.getFullYear() + ',2/'+today.getFullYear() +',3/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 4 && today.getMonth() + 1 <= 6) {
            Quy = '2';lsThang = '4/' + today.getFullYear() + ',5/'+today.getFullYear() +',6/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 7 && today.getMonth() + 1 <= 9) {
            Quy = '3';lsThang = '7/' + today.getFullYear() + ',8/'+today.getFullYear() +',9/'+today.getFullYear();
        }else if (today.getMonth() + 1 >= 10 && today.getMonth() + 1 <= 12) {
            Quy = '4';lsThang = '10/' + today.getFullYear() + ',11/'+today.getFullYear() +',12/'+today.getFullYear();
        }
        $('.TieuDe').html("Năng lực sản xuất quý " + Quy + " của [ " + TenDonVi + " ]");
        //LoadTable(lsThang, dataSource_1);
        LoadDataSource_DonVi(IdDonVi,lsThang);
    });
    
    $('#btnXemNamHienTai_DonVi').click(function () {
        var IdDonVi = $( ".IdDonVi" ).val();
        var TenDonVi = $( "#IdDonVi option:selected" ).text();
        var today = new Date();
        $('.TieuDe').html("Năng lực sản xuất theo năm " + @DateTime.Now.Year + " của [ " + TenDonVi + " ]");
        //LoadTable('1,2,3,4,5,6,7,8,9,10,11,12', dataSource_1);
        LoadDataSource_DonVi(IdDonVi,'1/' + today.getFullYear() + ',2/'+today.getFullYear() +',3/'+today.getFullYear()+',4/'+today.getFullYear()+',5/'+today.getFullYear()+',6/'+today.getFullYear()+',7/'+today.getFullYear()+',8/'+today.getFullYear()+',9/'+today.getFullYear()+',10/'+today.getFullYear()+',11/'+today.getFullYear()+',12/'+today.getFullYear());
    });
    function LoadDataSource_Tong(lsThang) {
        $.ajax({
            url: '@Url.Action("GetData_Tong", "NLSX")',
            type: 'POST',
            data: { lsThang: lsThang },
            dataType: 'json',
            success: function (data) {
                  console.log(data);
                if(data!="")
                    LoadTable(lsThang, data);
                else
                    LoadTable(lsThang, dataSource_1);
            }
        });
    }
    function LoadDataSource_DonVi(IdDonVi,lsThang) {
        $.ajax({
            url: '@Url.Action("GetData_DonVi", "NLSX")',
            type: 'POST',
            data: { IdDonVi: IdDonVi, lsThang: lsThang },
            dataType: 'json',
            success: function (data) {
                console.log(data);
                if(data!="")
                    LoadTable(lsThang, data);
                else
                    LoadTable(lsThang, dataSource_1);
            }
        });
    }
</script>